package com.malk.hengyilong.mjavahengyilong;

import com.malk.hengyilong.service.ClientHylService;
import com.malk.hengyilong.service.EqbHylService;
import com.malk.hengyilong.service.impl.ClientHylServiceImpl;
import com.malk.server.common.McR;
import com.malk.utils.UtilMap;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.Map;

@SpringBootTest
class MjavaHengyilongApplicationTests {

    @Autowired
    private ClientHylService clientHylService;
    @Autowired
    private EqbHylService eqbHylService;
    @Test
    void contextLoads() {
    }

    @Test
    void getClient(){
        Map map = new HashMap();
        map.put("userId","3044156512693449078");
        McR mcR = clientHylService.getClient(map);
    }

    @Test
    void quotationToEqb(){
//        McR mcR = eqbHylService.quotationToEqb(UtilMap.map("formInstance, type","a4edd8d8-a742-4a95-80fa-bd57779c9520, contract"));
    }

    @Test
    void getAccountPeriod(){
//        McR mcR = clientHylService.getAccountPeriod(UtilMap.map("formInstance","FINST-YFI66SC1CUN6ZT27JM27V7DW8MDR2NCN11GQM36"));

    }

}
